Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.sql
Class SQLErrorCodeReader

    java.lang.Object
      org.apache.openjpa.jdbc.sql.SQLErrorCodeReader

    public class SQLErrorCodeReader

extends Object

Parses XML content of SQL Error State codes to populate error codes for a given Database Dictionary.

Author:
  Pinaki Poddar

Field Summary
`static String` | `ERROR_CODE_DELIMITER`
`static Map<String,Integer>` | `storeErrorTypes`

Constructor Summary
`SQLErrorCodeReader()`

Method Summary
`List<String>` | `getDictionaries(InputStream in)`
`void` | `parse(InputStream in, String dictName, DBDictionary dict)` Parses given stream of XML content for error codes of the given database dictionary name.
`(package private) static void` | `readErrorCodes(Node node, DBDictionary dict)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_CODE_DELIMITER

    public static final String ERROR_CODE_DELIMITER

See Also:
  Constant Field Values

### storeErrorTypes

    public static final Map<String,Integer> storeErrorTypes

Constructor Detail

### SQLErrorCodeReader

    public SQLErrorCodeReader()

Method Detail

### getDictionaries

    public List<String> getDictionaries(InputStream in)

### parse

    public void parse(InputStream in,
                      String dictName,
                      DBDictionary dict)

  Parses given stream of XML content for error codes of the given database dictionary name. Populates the given dictionary with the error codes.

### readErrorCodes

    static void readErrorCodes(Node node,
                               DBDictionary dict)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.